View Issue Details

IDProjectCategoryView StatusLast Update
0025495LazarusLCLpublic2014-01-09 15:27
ReportersilvioprogAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3 (SVN)Product Build 
Target VersionFixed in Version1.2.0 
Summary0025495: [PATCH] TComboBox autocomplete working with numeric keys too
DescriptionUsing the NumPad keys, it works fine, but, using the numeric keys (those below the function keys), it does not works.
Steps To Reproduce1. Add a ComboBox1 in your form and the following items: 123ABC, 456ABC, 789ABC;
2. Run your app, go to combobox and type: 45; (it will not autocomplete)
Additional InformationPatch in attached. (patch author: Gilson Nunes)
TagsNo tags attached.
Fixed in Revision43660
LazTarget-
WidgetsetWin32/Win64
Attached Files
  • 0001-LCLProc.IsEditableTextKey-allows-to-auto-completing-.patch (824 bytes)
    From 0849b33423a0203bc67fea11737565b0c401c51c Mon Sep 17 00:00:00 2001
    From: silvioprog <silvioprog@gmail.com>
    Date: Sun, 5 Jan 2014 15:28:48 -0200
    Subject: [PATCH] LCLProc.IsEditableTextKey: allows to auto completing with
     numeric keys too.
    
    ---
     lcl/lclproc.pas | 1 +
     1 file changed, 1 insertion(+)
    
    diff --git a/lcl/lclproc.pas b/lcl/lclproc.pas
    index 0fada18..1d9da56 100644
    --- a/lcl/lclproc.pas
    +++ b/lcl/lclproc.pas
    @@ -770,6 +770,7 @@ function IsEditableTextKey(Key: Word): Boolean;
     begin
      Result := (((Key >= VK_A) and (Key <= VK_Z)) or
                 ((Key >= VK_NUMPAD0) and (Key <= VK_DIVIDE)) or
    +            ((Key >= VK_0) and (Key <= VK_9)) or
                 ((Key >= 186) and (Key <= 188)) or
                 ((Key >= 190) and (Key <= 192)) or
                 ((Key >= 219) and (Key <= 222)));
    -- 
    1.8.4.msysgit.0
    
    

Activities

silvioprog

2014-01-05 18:31

reporter  

0001-LCLProc.IsEditableTextKey-allows-to-auto-completing-.patch (824 bytes)
From 0849b33423a0203bc67fea11737565b0c401c51c Mon Sep 17 00:00:00 2001
From: silvioprog <silvioprog@gmail.com>
Date: Sun, 5 Jan 2014 15:28:48 -0200
Subject: [PATCH] LCLProc.IsEditableTextKey: allows to auto completing with
 numeric keys too.

---
 lcl/lclproc.pas | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lcl/lclproc.pas b/lcl/lclproc.pas
index 0fada18..1d9da56 100644
--- a/lcl/lclproc.pas
+++ b/lcl/lclproc.pas
@@ -770,6 +770,7 @@ function IsEditableTextKey(Key: Word): Boolean;
 begin
  Result := (((Key >= VK_A) and (Key <= VK_Z)) or
             ((Key >= VK_NUMPAD0) and (Key <= VK_DIVIDE)) or
+            ((Key >= VK_0) and (Key <= VK_9)) or
             ((Key >= 186) and (Key <= 188)) or
             ((Key >= 190) and (Key <= 192)) or
             ((Key >= 219) and (Key <= 222)));
-- 
1.8.4.msysgit.0

Maxim Ganetsky

2014-01-06 16:16

developer   ~0072256

Please test and close if OK.

silvioprog

2014-01-09 15:27

reporter   ~0072332

Worked like a charm. Thank you very much Maxim! :)

Issue History

Date Modified Username Field Change
2014-01-05 18:31 silvioprog New Issue
2014-01-05 18:31 silvioprog File Added: 0001-LCLProc.IsEditableTextKey-allows-to-auto-completing-.patch
2014-01-06 15:51 Maxim Ganetsky Assigned To => Maxim Ganetsky
2014-01-06 15:51 Maxim Ganetsky Status new => assigned
2014-01-06 16:16 Maxim Ganetsky Fixed in Revision => 43660
2014-01-06 16:16 Maxim Ganetsky LazTarget => -
2014-01-06 16:16 Maxim Ganetsky Note Added: 0072256
2014-01-06 16:16 Maxim Ganetsky Status assigned => resolved
2014-01-06 16:16 Maxim Ganetsky Fixed in Version => 1.2.0
2014-01-06 16:16 Maxim Ganetsky Resolution open => fixed
2014-01-09 15:27 silvioprog Note Added: 0072332
2014-01-09 15:27 silvioprog Status resolved => closed